Bug 1949418 - Controller factory workers should always restart on panic()
Summary: Controller factory workers should always restart on panic()
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: Michal Fojtik
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-14 08:57 UTC by Michal Fojtik
Modified: 2021-07-27 23:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:00:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-etcd-operator pull 564 0 None open Bug 1949418: bump(*): vendor update 2021-04-14 08:58:29 UTC
Github openshift cluster-kube-apiserver-operator pull 1103 0 None open Bug 1949418: bump(*): vendor update 2021-04-14 08:58:38 UTC
Github openshift cluster-kube-controller-manager-operator pull 519 0 None open Bug 1949418: bump(*): vendor update 2021-04-14 08:58:33 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:00:47 UTC

Description Michal Fojtik 2021-04-14 08:57:49 UTC
Description of problem:

When panic occurs in the controller factory (library-go/pkg/controller/factory) the workers will die and they won't be restarted. This can lead to a stale controller. 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

QE: This will be impossible to reproduce, this BZ was created to land a bump in operator repositories. So this bug is no we basically.

Comment 2 Xingxing Xia 2021-04-16 03:07:41 UTC
Checked the PR(s), indeed a lot of bumps. Per "Additional info" under Description, moving to VERIFIED directly.

Comment 5 errata-xmlrpc 2021-07-27 23:00:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.